%define pkg_name        MRO-Compat
%define pkg_version     0.05
%define rpm_pkg_version 0.05
%define rpm_pkg_release 1.n0i.2

Summary:       MRO::* interface compatibility for Perls < 5.9.5
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/B/BL/BLBLACK/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Class::C3::XS) >= 0.08
BuildRequires: perl(Class::C3) >= 0.19


%description
The "mro" namespace provides several utilities for dealing with method
resolution order and method caching in general in Perl 5.9.5 and higher.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc ChangeLog README


%changelog
* Sat Sep 22 2007 Marius Feraru <altblue@n0i.net> - 0.05-1.n0i.2
- version 0.05

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.04-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.04
